Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class FullTextSearch.SimpleTerm

    java.lang.Object
      org.modeshape.jcr.query.model.FullTextSearch.SimpleTerm

All Implemented Interfaces:
  FullTextSearch.Term

Enclosing class:
  FullTextSearch

    public static class FullTextSearch.SimpleTerm

extends Object
implements FullTextSearch.Term

A `FullTextSearch.Term` that represents a single search term. The term may be comprised of multiple words.

Constructor Summary
`FullTextSearch.SimpleTerm(String value)` Create a simple term with the value and whether the term is excluded or included.

Method Summary
`boolean` | `containsWildcards()` Return whether this term contains any unescaped wildcard characters (e.g., one of '*', '?'
`boolean` | `equals(Object obj)`
`String` | `getValue()` Get the value of this term.
`String[]` | `getValues()` Get the values of this term if the term is quoted.
`int` | `hashCode()`
`boolean` | `isQuotingRequired()` Get whether this term needs to be quoted because it consists of multiple words.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FullTextSearch.SimpleTerm

    public FullTextSearch.SimpleTerm(String value)

  Create a simple term with the value and whether the term is excluded or included.

  Parameters:
    `value` - the value that makes up the term

Method Detail

### getValue

    public String getValue()

  Get the value of this term. Note that this is the actual value that is to be searched for, and will not include the `quotes`.

  Returns:
    the value; never null

### getValues

    public String[] getValues()

  Get the values of this term if the term is quoted.

  Returns:
    the array of terms; never null

### isQuotingRequired

    public boolean isQuotingRequired()

  Get whether this term needs to be quoted because it consists of multiple words.

  Returns:
    true if the term needs to be quoted, or false otherwise

### containsWildcards

    public boolean containsWildcards()

  Return whether this term contains any unescaped wildcard characters (e.g., one of '*', '?', '%', or '_').

  Returns:
    true if this term contains unescaped wildcard characters, or false otherwise

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.